Oculus sensors and runtime versions

Post Reply
BernieRoehl
Posts: 1
Joined: Wed Jul 03, 2019 5:48 am

Oculus sensors and runtime versions

Post by BernieRoehl » Wed Jul 03, 2019 5:56 am

We're trying to integrate the Rift (CV1) with Optitrack, and we're running into an issue.

Whenever the application starts up, it gives us an error saying the sensor could not be found. It's tricky to get the end-user to click on that message to dismiss it and allow the application to run.

The suggestion we've gotten is to use an older version of the Oculus runtime that doesn't require the sensor be present. In fact, using the older runtime may end up being a requirement since we have to run on the same setup as other applications that do use the older runtime and it's not practical to uninstall/reinstall when switching applications.

When we try running with an older Oculus runtime, we see the following in the Unity logfile:

OptitrackHmd: No XRDevice present

So, we're kind of stuck. Other people must have run into this before, since using the Rift with Optitrack is a fairly common configuration.

Any suggestions?

Post Reply